Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class PDFEncoding

    java.lang.Object
      org.apache.fop.pdf.PDFObject
          org.apache.fop.pdf.PDFDictionary
              org.apache.fop.pdf.PDFEncoding

All Implemented Interfaces:
  PDFWritable

    public class PDFEncoding

extends PDFDictionary

Class representing an /Encoding object. A small object expressing the base encoding name and the differences from the base encoding. The three base encodings are given by their name. Encodings are specified in section 5.5.5 of the PDF 1.4 spec.

Nested Class Summary
`class` | `PDFEncoding.DifferencesBuilder` Builder class for constructing the Differences array.

Field Summary
`static java.lang.String` | `MAC_EXPERT_ENCODING` the name for the Mac Export encoding scheme
`static java.lang.String` | `MAC_ROMAN_ENCODING` the name for the Mac Roman encoding scheme
`static java.lang.String` | `PDF_DOC_ENCODING` the name for the PDF document encoding scheme
`static java.lang.String` | `STANDARD_ENCODING` the name for the standard encoding scheme
`static java.lang.String` | `WIN_ANSI_ENCODING` the name for the WinAnsi encoding scheme

Fields inherited from class org.apache.fop.pdf.PDFDictionary
`entries, order`

Fields inherited from class org.apache.fop.pdf.PDFObject
`log`

Constructor Summary
`PDFEncoding(java.lang.String basename)` Create a new /Encoding object.

Method Summary
`PDFEncoding.DifferencesBuilder` | `createDifferencesBuilder()` Creates and returns a new DifferencesBuilder instance for constructing the Differences array.
`static boolean` | `isPredefinedEncoding(java.lang.String name)` Indicates whether a given encoding is one of the predefined encodings.
`void` | `setDifferences(PDFArray differences)` Sets the Differences value.

Methods inherited from class org.apache.fop.pdf.PDFDictionary
`containsKey, get, getChildren, getChildren, keySet, output, put, put, remove, writeDictionary`

Methods inherited from class org.apache.fop.pdf.PDFObject
`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, toPDF, toPDFString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STANDARD_ENCODING

    public static final java.lang.String STANDARD_ENCODING

  the name for the standard encoding scheme

  See Also:
    Constant Field Values

### MAC_ROMAN_ENCODING

    public static final java.lang.String MAC_ROMAN_ENCODING

  the name for the Mac Roman encoding scheme

  See Also:
    Constant Field Values

### MAC_EXPERT_ENCODING

    public static final java.lang.String MAC_EXPERT_ENCODING

  the name for the Mac Export encoding scheme

  See Also:
    Constant Field Values

### WIN_ANSI_ENCODING

    public static final java.lang.String WIN_ANSI_ENCODING

  the name for the WinAnsi encoding scheme

  See Also:
    Constant Field Values

### PDF_DOC_ENCODING

    public static final java.lang.String PDF_DOC_ENCODING

  the name for the PDF document encoding scheme

  See Also:
    Constant Field Values

Constructor Detail

### PDFEncoding

    public PDFEncoding(java.lang.String basename)

  Create a new /Encoding object.

  Parameters:
    `basename` - the name of the character encoding schema

Method Detail

### isPredefinedEncoding

    public static boolean isPredefinedEncoding(java.lang.String name)

  Indicates whether a given encoding is one of the predefined encodings.

  Parameters:
    `name` - the encoding name (ex. "StandardEncoding")
  Returns:
    true if it is a predefined encoding

### createDifferencesBuilder

    public PDFEncoding.DifferencesBuilder createDifferencesBuilder()

  Creates and returns a new DifferencesBuilder instance for constructing the Differences array.

  Returns:
    the DifferencesBuilder

### setDifferences

    public void setDifferences(PDFArray differences)

  Sets the Differences value.

  Parameters:
    `differences` - the differences.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.